Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class SshMsgUserAuthPwdChangeReq

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.authentication.SshMsgUserAuthPwdChangeReq

public class SshMsgUserAuthPwdChangeReq
extends SshMessage

DOCUMENT ME!

Field Summary
`static int` | `SSH_MSG_USERAUTH_PWD_CHANGEREQ` DOCUMENT ME!

Constructor Summary
`SshMsgUserAuthPwdChangeReq()` Creates a new SshMsgUserAuthPwdChangeReq object.
`SshMsgUserAuthPwdChangeReq(java.lang.String prompt, java.lang.String language)` Creates a new SshMsgUserAuthPwdChangeReq object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`java.lang.String` | `getLanguage()` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`java.lang.String` | `getPrompt()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_MSG_USERAUTH_PWD_CHANGEREQ

    public static final int SSH_MSG_USERAUTH_PWD_CHANGEREQ

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgUserAuthPwdChangeReq

    public SshMsgUserAuthPwdChangeReq()

  Creates a new SshMsgUserAuthPwdChangeReq object.

### SshMsgUserAuthPwdChangeReq

    public SshMsgUserAuthPwdChangeReq(java.lang.String prompt,
                                      java.lang.String language)

  Creates a new SshMsgUserAuthPwdChangeReq object.

Parameters:
  `prompt` - DOCUMENT ME!
  `language` - DOCUMENT ME!

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLanguage

    public java.lang.String getLanguage()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD